:root {
    --nav-margin-bottom: 44px;
}

html, body {
    min-height: 100vh;
}

body {
    display: flex;
    flex-direction: column;
    background-color: #f9f7f1;
}

body > main {
    padding: unset;
}

main {
    flex: 1 0 auto;
    background-color: #f9f7f1;
    margin-top: var(--nav-margin-bottom);

    article {
        &.with-fx {
            transform:
                perspective(1111px)
                rotateY(8deg)
                rotateX(18deg)
            ;
        }
    }

    // article::before {
    //     content: ' ';
    //     display: block;
    //     position: absolute;
    //     border: 1px dashed gray;
    //     top: -18px; left: -18px;
    //     width: 98%; height: 98%;
    //     z-index: -998;
    //     background-color: lightgrey;
    // }
    // section.story {
    //     background-color: lightslategrey;
    // }

    // article::after {
    //     position: absolute;
    //     left: 0; top: 0;
    //     content: ' '; display: block;
    //     width: 100%; height: 100%;
    //     opacity: 0.1;
    //     background: transparent url('/images/archive-paper.png') no-repeat center center;
    //     // background-position: center center;
    //     // background-repeat: no-repeat;
    //     background-size: cover;
    // }

    &.debug { border: 1px dashed orange; }
}

footer {
    background-color: #888;
    text-align: center;
    flex-shrink: 0;

    &.pico-override {
        // overrides picocss' very generous var(--block-spacing-vertical)
        padding-top: 28px !important;
        padding-bottom: 28px !important;
    }

    &.debug { border: 1px dashed #444; }
}

.publication.card {
    text-align: center;
    box-shadow: 4px 4px 8px var(--nav-border-color);
}
